#{ RJTOOLS.CL -- Script to set up tasks in the RJTOOLS package

# load necessary packages here

cl < "rjtools$lib/zzsetenv.def"
package	rjtools, bin = rjbin$

# generic routines:
task	arg		= "rjtools$generic/arg.cl"
task	chkimg		= "rjtools$generic/chkimg.cl"
task	cpadd		= "rjtools$generic/cpadd.cl"
task	cparse		= "rjtools$generic/cparse.cl"
task	creverse	= "rjtools$generic/creverse.cl"
task	gdate		= "rjtools$generic/gdate.cl"
task	icnt		= "rjtools$generic/icnt.cl"
task	iwc		= "rjtools$generic/iwc.cl"
task	rdlist		= "rjtools$generic/rdlist.cl"
task	rpbuild		= "rjtools$generic/rpbuild.cl"
task	rpparse		= "rjtools$generic/rpparse.cl"
task	sysinfo		= "rjtools$generic/sysinfo.cl"
task	vstor		= "rjtools$generic/vstor.cl"

# (non-interactive) image tools:
task	borderstat	= "rjtools$imgtools/borderstat.cl"
task	getsky		= "rjtools$imgtools/getsky.cl"
task	imgstat		= "rjtools$imgtools/imgstat.cl"
task	mkmosaic	= "rjtools$imgtools/mkmosaic.cl"

# (interactive) display tools:
task	ctrcoo		= "rjtools$tvtools/ctrcoo.cl"
task	getregion	= "rjtools$tvtools/getregion.cl"
task	imregister	= "rjtools$tvtools/imregister.cl"
task	markall		= "rjtools$tvtools/markall.cl"
task	markstds	= "rjtools$tvtools/markstds.cl"
task	tvellips	= "rjtools$tvtools/tvellips.cl"
task	tvmarkall	= "rjtools$tvtools/tvmarkall.cl"
task	xdisplay	= "rjtools$tvtools/xdisplay.cl"

# eso hierarchical format headers:
task	eso2fits	= "rjtools$esohdrs/eso2fits.cl"

# ascii tables:
task	tcolarit	= "rjtools$asciitab/tcolarit.cl"
task	tcolstat	= "rjtools$asciitab/tcolstat.cl"
task	wstat		= "rjtools$asciitab/wstat.cl"

# obsolete tasks (still used by ascii tables tasks):
task	ocparse		= "rjtools$obsolete/ocparse.cl"
hidetask ocparse

# IMFORT and other host programs:

clbye()
